Subject: bug#38886: (read-variable) documentation doesn't match behavior

From: Douglas Lewan <[email-masked]>
Date: Thu, 2 Jan 2020 21:28:25 -0500

According to the documentation for (read-variable), this sexp 
(read-variable "?" '(all one top)) should return all if there's no 
input. It, however, signals an error instead: Wrong type argument: 
stringp, all. Indeed, this sexp (read-variable "?" '("all" "one" "top")) 
does return the symbol all

I'm guessing that that is in fact the intended behavior. (In the C code 
that seems to be the case.) However, the documentation is ambiguous. The 
first paragraph of the documentation would better end "... if it is a 
list of strings."

-- 
,Doug
[email-masked]
(908) 720 7908